#ifndef MSP_VR_LIBOVRCAMERA_H_
#define MSP_VR_LIBOVRCAMERA_H_

#include <msp/vr/headtrackingcamera.h>

namespace Msp {
namespace VR {

class LibOVRSystem;

class LibOVRCamera: public HeadTrackingCamera
{
private:
	const LibOVRSystem &device;

public:
	LibOVRCamera(const LibOVRSystem &, const GL::Camera &);

	virtual void reset_tracking();
	virtual void update();
};

} // namespace VR
} // namespace Msp

#endif
